package com.tongda.tdpimssdk.auth;

import com.tongda.tdpimssdk.api.PimsAsset;
import com.tongda.tdpimssdk.api.PimsBusiness;
import com.tongda.tdpimssdk.api.PimsDocument;
import com.tongda.tdpimssdk.api.PimsQuery;
import com.tongda.tdpimssdk.http.PimHttpUtil;
import lombok.Data;

@Data
public class SaAuth {

    public static String user;
    public static String password;
    public static String id;
    public static int port;
    public static String satoken;
    public static String serverId;
    public static int serverPort;
    public static String dbName;

    public  SaAuth(String user, String password, String id, int port) {
        this.user = user;
        this.password = password;
        this.id = id;
        this.port = port;
    }

    public static String loginGetSatoken(){
        String url="http://"+id+":"+port+"/sso/doLogin";
        satoken=PimHttpUtil.loginGetSaToken(url,user,password);
        return satoken;
    }

    public static void main(String[] args) {

        SaAuth.serverId="150.158.75.213";
        SaAuth.serverPort=8080;
        SaAuth.dbName="TXPIMDB";
        SaAuth saAuth=new SaAuth("guantiantian","q1w2e3r4","121.199.160.117",9000);
        String satoken=SaAuth.loginGetSatoken();
        System.out.println(satoken);

        PimsQuery pimsQuery =new PimsQuery();
//        //查询5个接口
//        System.out.println(pimsQuery.pimsTemplate());
//
 //       System.out.println(pimsQuery.queryDocumentList());
//
//        System.out.println(pimsQuery.getBusinessList(""));
//
        System.out.println(pimsQuery.getAssetByTemplate("ProductTemplate-1125744743611891712",1,20));
//
//        System.out.println(pimsQuery.queryAssetAppViewPath("Product-1128330059979948032"));

        PimsAsset pimsAsset=new PimsAsset();
//        System.out.println(pimsAsset.pimsTemplate(JSONObject.parseObject(PimsAsset.create, AssetVo.class)));
//
//        System.out.println(pimsAsset.getAssetContent("Product-1129500005887901696"));
//
//        System.out.println(pimsAsset.getLifeCycleDefinitionList(JSONObject.parseObject(PimsAsset.update, AssetVo.class)));
//
//        System.out.println(pimsAsset.deleteAsset("Product-1129500005887901696"));
        PimsDocument pimsDocument=new PimsDocument();

//        System.out.println(pimsDocument.createDocumentAsset(JSONObject.parseObject(PimsDocument.create, AssetVo.class)));
//
//        System.out.println(pimsDocument.getDocumentContent("Resource-1129786933577252864"));
//
//        System.out.println(pimsDocument.getLifeCycleDefinitionList(JSONObject.parseObject(PimsDocument.update, AssetVo.class)));
//
//        System.out.println(pimsDocument.deleteAsset("Resource-1129433907997966336"));

        PimsBusiness pimsBusiness=new PimsBusiness();

//        System.out.println(pimsBusiness.createBusiness(JSONObject.parseObject(PimsBusiness.create, TeamVo.class)));
//
//        System.out.println(pimsBusiness.getBusinessDetails("Team2-1129450504951169024"));
//
//        System.out.println(pimsBusiness.deleteTeam("Team2-1129450504951169024"));
//
//        System.out.println(pimsBusiness.queryAssetByCatalog("Team2-1129497138993037312","CatalogAppView-1129455551755845632"));
//
//        System.out.println(pimsBusiness.removeAssetFromTeam(JSONObject.parseObject(PimsBusiness.remove, CatalogItem.class)));
//
//        System.out.println(pimsBusiness.addAssetRefToTeam(JSONObject.parseObject(PimsBusiness.remove, CatalogItem.class)));

//        File file=new File("C:\\Users\\zfn\\Desktop\\新建 文本文档1.txt");
//        System.out.println(pimsDocument.uploadBinary("Resource-1126839993566756864",file));


    }
}
