
package com.tongda.tdpimssdk.entities;

import com.tongda.tdpimssdk.entities.common.Desc;
import com.tongda.tdpimssdk.entities.common.History;
import com.tongda.tdpimssdk.entities.common.Permission;
import com.tongda.tdpimssdk.entities.common.TSVariableDef;

import java.math.BigInteger;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Product complex type的 Java 类。
 * 
 * <p>以下模式片段指定包含在此类中的预期内容。
 * 
 * <pre>
 * &lt;complexType name="Product"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element ref="{}Permission"/&gt;
 *         &lt;element ref="{}Desc"/&gt;
 *         &lt;element ref="{}History"/&gt;
 *         &lt;element ref="{}MetadataGroup"/&gt;
 *         &lt;element ref="{}ResourceCatalog"/&gt;
 *         &lt;element name="TSVariableDefGroup"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element ref="{}TSVariableDef" maxOccurs="unbounded" minOccurs="0"/&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *       &lt;/sequence&gt;
 *       &lt;attGroup ref="{}T_Attr_DBObject"/&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "Product", propOrder = {
    "permission",
    "desc",
    "history",
    "metadataGroup",
    "resourceCatalog",
    "tsVariableDefGroup"
})
public class Product {

    @XmlElement(name = "Permission", required = true)
    protected Permission permission;
    @XmlElement(name = "Desc", required = true)
    protected Desc desc;
    @XmlElement(name = "History", required = true)
    protected History history;
    @XmlElement(name = "MetadataGroup", required = true)
    protected MetadataGroup metadataGroup;
    @XmlElement(name = "ResourceCatalog", required = true)
    protected ResourceCatalog resourceCatalog;
    @XmlElement(name = "TSVariableDefGroup", required = true)
    protected TSVariableDefGroup tsVariableDefGroup;
    @XmlAttribute(name = "id")
    protected String id;
    @XmlAttribute(name = "dbHash")
    protected String dbHash;
    @XmlAttribute(name = "label")
    protected String label;
    @XmlAttribute(name = "template")
    protected String template;
    @XmlAttribute(name = "lcRef")
    protected String lcRef;
    @XmlAttribute(name = "lcStatus")
    protected String lcStatus;
    @XmlAttribute(name = "version")
    protected BigInteger version;

    /**
     * 获取permission属性的值。
     * 
     * @return
     *     possible object is
     *     {@link Permission }
     *     
     */
    public Permission getPermission() {
        return permission;
    }

    /**
     * 设置permission属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link Permission }
     *     
     */
    public void setPermission(Permission value) {
        this.permission = value;
    }

    /**
     * 获取desc属性的值。
     * 
     * @return
     *     possible object is
     *     {@link Desc }
     *     
     */
    public Desc getDesc() {
        return desc;
    }

    /**
     * 设置desc属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link Desc }
     *     
     */
    public void setDesc(Desc value) {
        this.desc = value;
    }

    /**
     * 获取history属性的值。
     * 
     * @return
     *     possible object is
     *     {@link History }
     *     
     */
    public History getHistory() {
        return history;
    }

    /**
     * 设置history属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link History }
     *     
     */
    public void setHistory(History value) {
        this.history = value;
    }

    /**
     * 获取metadataGroup属性的值。
     * 
     * @return
     *     possible object is
     *     {@link MetadataGroup }
     *     
     */
    public MetadataGroup getMetadataGroup() {
        return metadataGroup;
    }

    /**
     * 设置metadataGroup属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link MetadataGroup }
     *     
     */
    public void setMetadataGroup(MetadataGroup value) {
        this.metadataGroup = value;
    }

    /**
     * 获取resourceCatalog属性的值。
     * 
     * @return
     *     possible object is
     *     {@link ResourceCatalog }
     *     
     */
    public ResourceCatalog getResourceCatalog() {
        return resourceCatalog;
    }

    /**
     * 设置resourceCatalog属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link ResourceCatalog }
     *     
     */
    public void setResourceCatalog(ResourceCatalog value) {
        this.resourceCatalog = value;
    }

    /**
     * 获取tsVariableDefGroup属性的值。
     * 
     * @return
     *     possible object is
     *     {@link TSVariableDefGroup }
     *     
     */
    public TSVariableDefGroup getTSVariableDefGroup() {
        return tsVariableDefGroup;
    }

    /**
     * 设置tsVariableDefGroup属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link TSVariableDefGroup }
     *     
     */
    public void setTSVariableDefGroup(TSVariableDefGroup value) {
        this.tsVariableDefGroup = value;
    }

    /**
     * 获取id属性的值。
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getId() {
        return id;
    }

    /**
     * 设置id属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setId(String value) {
        this.id = value;
    }

    /**
     * 获取dbHash属性的值。
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDbHash() {
        return dbHash;
    }

    /**
     * 设置dbHash属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDbHash(String value) {
        this.dbHash = value;
    }

    /**
     * 获取label属性的值。
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLabel() {
        return label;
    }

    /**
     * 设置label属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLabel(String value) {
        this.label = value;
    }

    /**
     * 获取template属性的值。
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTemplate() {
        return template;
    }

    /**
     * 设置template属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTemplate(String value) {
        this.template = value;
    }

    /**
     * 获取lcRef属性的值。
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLcRef() {
        return lcRef;
    }

    /**
     * 设置lcRef属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLcRef(String value) {
        this.lcRef = value;
    }

    /**
     * 获取lcStatus属性的值。
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLcStatus() {
        return lcStatus;
    }

    /**
     * 设置lcStatus属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLcStatus(String value) {
        this.lcStatus = value;
    }

    /**
     * 获取version属性的值。
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getVersion() {
        return version;
    }

    /**
     * 设置version属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setVersion(BigInteger value) {
        this.version = value;
    }


    /**
     * <p>anonymous complex type的 Java 类。
     * 
     * <p>以下模式片段指定包含在此类中的预期内容。
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element ref="{}TSVariableDef" maxOccurs="unbounded" minOccurs="0"/&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "tsVariableDef"
    })
    public static class TSVariableDefGroup {

        @XmlElement(name = "TSVariableDef")
        protected List<TSVariableDef> tsVariableDef;

        /**
         * Gets the value of the tsVariableDef property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the tsVariableDef property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getTSVariableDef().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link TSVariableDef }
         * 
         * 
         */
        public List<TSVariableDef> getTSVariableDef() {
            if (tsVariableDef == null) {
                tsVariableDef = new ArrayList<TSVariableDef>();
            }
            return this.tsVariableDef;
        }

    }

}
